Subject: [P2PSIP] DHT selection and interworking

From: "Juwei Shi" <[email-masked]>
Date: Wed, 21 Mar 2007 22:14:57 +0800

DHT selection was discussed in today's WG session. If multiple DHTs are
allowed, there's a problem caused by heterogeneous overlays. That is to say,
how could a user in Bamboo overlay locate the other in Chord overlay? To
address this problem, we argue that there should be a hierarchical P2PSIP
architecture. Super-peers run several stacks including the "must DHT" to
perform gateway-like elements. Then heterogeneous overlays are
inter-connected via these super-peers.

Best Regards

Juwei

_______________________________________________
P2PSIP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/p2psip

---

From: Henning Schulzrinne <[email-masked]>
Date: Wed, 21 Mar 2007 11:46:40 -0400

Yes, hierarchical overlays have been proposed; see Kundan Singh's  
thesis, among several other places.

On Mar 21, 2007, at 10:14 AM, Juwei Shi wrote:

> DHT selection was discussed in today’s WG session. If multiple DHTs  
> are allowed, there’s a problem caused by heterogeneous overlays.  
> That is to say, how could a user in Bamboo overlay locate the other  
> in Chord overlay? To address this problem, we argue that there  
> should be a hierarchical P2PSIP architecture. Super-peers run  
> several stacks including the “must DHT” to perform gateway-like  
> elements. Then heterogeneous overlays are inter-connected via these  
> super-peers.
>
> Best Regards
>
> Juwei
>
>
>
>
>

---

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 21 Mar 2007 14:22:38 -0400

Something like this is interesting, but do we have a requirement to be 
able to do this? I thought I heard today that folks wanted each instance 
of a p2p network to use a single algorithm, and to support connections 
to peers and clients only connected to that particular p2p network.

-Jonathan R.

Henning Schulzrinne wrote:

>> are allowed, there’s a problem caused by heterogeneous overlays. That 
>> is to say, how could a user in Bamboo overlay locate the other in 
>> Chord overlay? To address this problem, we argue that there should be 
>> a hierarchical P2PSIP architecture. Super-peers run several stacks 
>> including the “must DHT” to perform gateway-like elements. Then 
>> heterogeneous overlays are inter-connected via these super-peers.
>>
>> Best Regards
>>
>> Juwei
>>
>>  
>>
>>  
>>
>> [email-masked] <mailto:[email-masked]>
> ------------------------------------------------------------------------
> 

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Cisco Fellow                                   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

---

From: EKR <[email-masked]>
Date: Wed, 21 Mar 2007 11:23:42 -0700

Jonathan Rosenberg <[email-masked]> wrote:
> able to do this? I thought I heard today that folks wanted each
> instance of a p2p network to use a single algorithm, and to support
> connections to peers and clients only connected to that particular p2p
> network.

This was my understanding as well.

-Ekr

---

From: Spencer Dawkins <[email-masked]>
Date: Wed, 21 Mar 2007 19:30:03 +0100

Well... agree about the charter. Using SIP between overlays WOULD work 
(modulo details). I believe we think it's in charter. Is there a reason why 
we need something else?

Spencer

---

From: Isaias Martinez Yelmo <[email-masked]>
Date: Wed, 21 Mar 2007 20:06:00 +0100

The problem is what happens when name spaces are different in each overlay. 

* How should be interconnected an overlay where IDs are base on MD5 and other 
overlay is based on SHA-1?
* How should be interconnected structured overlays with unstructured overlays?
* What capabilities should have the interconnection entities?
* What overlay is more suitable for intra-domain connections?
* What overlay is more suitable for inter-domain connections?  A hierarchical 
overlay seems the best idea but how the information should be indexed in this 
hierarchical approach?
* ...
* ...
* ...
* and other many things to solve

I am starting my research in this topic, and it is not a trivial issue

Regards,

Isaias

-- 
Isaias Martinez Yelmo
Universidad Carlos III de Madrid
Departamento de Telemática
http://www.it.uc3m.es/~imyelmo
Asociación de Telématica:
http://www.telematica.ws
http://www.netcoms.net
_______________________________________________
P2PSIP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/p2psip

---

From: Henning Schulzrinne <[email-masked]>
Date: Wed, 21 Mar 2007 15:52:43 -0400

In most cases, interconnection would be via normal SIP proxies/3263,  
possibly located as a resource.
This assumes that each P2P instance has a domain, e.g., p2psip.org,  
rather than mixing AORs from different domains.

---

From: "Eunsoo Shim" <[email-masked]>
Date: Wed, 21 Mar 2007 19:00:24 -0400

I support Henning's view.
That approach is simple and clear and makes interoperation with C/S SIP
domains straightforward.
Thanks.

Eunsoo